> ## Documentation Index
> Fetch the complete documentation index at: https://nango.dev/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# GitHub App

> Integrate your application with the GitHub API

## 🚀 Quickstart

Connect to GitHub App with Nango and see data flow in 2 minutes.

**1. Create an integration**

In Nango ([free signup](https://app.nango.dev)), go to [Integrations](https://app.nango.dev/dev/integrations) -> *Configure New Integration* -> *GitHub App*.

> [!NOTE]
>
> Nango has a [Nango-managed app](https://nango.dev/docs/guides/auth/auth-guide.md#nango-managed-oauth-apps) you can use in development and production. Select it when you create the integration.

**2. Authorize GitHub App**

Go to [Connections](https://app.nango.dev/dev/connections) -> *Add Test Connection* -> *Authorize*, then log in to GitHub. Later, you'll let your users do the same directly from your app.

**3. Call the GitHub API**

Let's make your first request to the GitHub API (lists all public repositories in the order that they were created). Replace the placeholders below with your [Environment API key](https://nango.dev/docs/reference/backend/http-api/api-keys.md), [integration ID](https://app.nango.dev/dev/integrations), and [connection ID](https://app.nango.dev/dev/connections):

> [tab] cURL
>
> ```bash theme={null}
> curl "https://api.nango.dev/proxy/repositories" \
>   -H "Authorization: Bearer <NANGO-API-KEY>" \
>   -H "Provider-Config-Key: <INTEGRATION-ID>" \
>   -H "Connection-Id: <CONNECTION-ID>"
> ```

> [tab] Node
>
> Install Nango's backend SDK with `npm i @nangohq/node`. Then run:
>
> ```typescript theme={null}
> import { Nango } from '@nangohq/node';
>
> const nango = new Nango({ apiKey: '<NANGO-API-KEY>' });
>
> const res = await nango.get({
>     endpoint: '/repositories',
>     providerConfigKey: '<INTEGRATION-ID>',
>     connectionId: '<CONNECTION-ID>'
> });
>
> console.log(res.data);
> ```

Or fetch credentials with the [Node SDK](https://nango.dev/docs/reference/backend/backend-sdk/node.md#get-a-connection-with-credentials) or [API](https://nango.dev/docs/reference/backend/http-api/connections/get.md).

✅ You're connected! Check the [Logs](https://app.nango.dev/dev/logs) tab in Nango to inspect requests.

**4. Implement Nango in your app**

Follow our [Auth implementation guide](https://nango.dev/docs/guides/primitives/auth.md) to integrate Nango in your app.

To use your own app instead of the Nango-managed one, follow the setup guide linked below.

## 📚 GitHub App Integration Guides

Nango maintained guides for common use cases.

* [How to register your own GitHub App](https://nango.dev/docs/api-integrations/github-app/how-to-register-your-own-github-app-api-app)\
  Register a GitHub App and obtain credentials to connect it to Nango

Official docs: [GitHub Developer Documentation](https://docs.github.com/en)

## 🧩 Pre-built syncs & tools for GitHub App

Explore Nango-provided tools in your dashboard. Extend and customize them to fit your needs.

### Commits

| Function name | Description | Type |
| - | - | - |
| `commits` | Get all pull commits from a Github repository. | [Sync](https://nango.dev/docs/guides/functions/syncs/sync-functions.md) |

### Pull Requests

| Function name | Description | Type |
| - | - | - |
| `pull-requests` | Get all pull requests from a Github repository. | [Sync](https://nango.dev/docs/guides/functions/syncs/sync-functions.md) |

### Others

| Function name | Description | Type |
| - | - | - |
| `repositories` | List all repositories accessible to this Github App | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `search-code` | Search file contents across indexed GitHub repositories using code-search qualifiers. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `search-commits` | Search commits across indexed repositories by message, author, or metadata qualifiers. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `search-issues-and-pull-requests` | Search issues and pull requests across indexed repositories using GitHub's issue-search qualifiers. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `search-labels` | Search for labels within a specific repository by name or description. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `search-repositories` | Search public and accessible repositories using GitHub's repository-search qualifiers. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `search-topics` | Search GitHub topics (the tagging/categorization objects behind repository topic pages). | [Tool](https://nango.dev/docs/guides/functions/tools.md) |
| `search-users` | Search GitHub user and organization accounts using user-search qualifiers. | [Tool](https://nango.dev/docs/guides/functions/tools.md) |

***


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.